com.holonplatform.vaadin.components

## Interface PropertyValueComponentSource

- All Superinterfaces:
    PropertySetBound

      public interface PropertyValueComponentSource
      extends PropertySetBound

  Represent a source of `ValueComponent`s bound to a `Property` set, i.e. a container of `ValueComponent` and `Property` bindings.
  Since:
    5.0.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> Optional<ValueComponent<T>>` | `getValueComponent(com.holonplatform.core.property.Property<T> property)` Get the `ValueComponent` bound to given `property`, if any.
    `Iterable<ValueComponent>` | `getValueComponents()` Gets all the `ValueComponent`s that have been bound to a property.
    `Stream<PropertyBinding<?,ValueComponent<?>>>` | `streamOfValueComponents()` Return a `Stream` of the available `Property` and `ValueComponent`s bindings.

    - ### Methods inherited from interface com.holonplatform.vaadin.components.PropertySetBound

      `getProperties, hasProperty, propertyStream`

- - ### Method Detail

    - #### getValueComponents

          Iterable<ValueComponent> getValueComponents()

      Gets all the `ValueComponent`s that have been bound to a property.
      Returns:
        An `Iterable` on all property bound `ValueComponent`s

    - #### getValueComponent

          <T> Optional<ValueComponent<T>> getValueComponent(com.holonplatform.core.property.Property<T> property)

      Get the `ValueComponent` bound to given `property`, if any.
      Type Parameters:
        `T` - Component type
      Parameters:
        `property` - Property for which to get the associated `ValueComponent` (not null)
      Returns:
        Optional `ValueComponent` bound to given `property`

    - #### streamOfValueComponents

          Stream<PropertyBinding<?,ValueComponent<?>>> streamOfValueComponents()

      Return a `Stream` of the available `Property` and `ValueComponent`s bindings.
      Returns:
        Property-ValueComponent `PropertyBinding` stream

Copyright © 2017 The Holon Platform. All rights reserved.